## zipios++ 0.1.5.9+cvs.2007.04.28

=== debian/changelog ===
zipios++ (0.1.5.9+cvs.2007.04.28-6) unstable; urgency=medium

  * QA upload, see #834214.
  * Use 3.0 (quilt) source format, use DEP3 quilt patches (Closes: #669703).
  * Use dh style debian/rules, hopefully (Closes: #794239).
  * This should also solve the FTBFS (Closes: #805963).
  * Add Homepage to debian/control (Closes: #834171).
  * DEP5ify debian/copyright.
  * Fix most lintians.

 -- W. Martin Borgert <debacle@debian.org>  Fri, 19 Aug 2016 13:00:30 +0000

zipios++ (0.1.5.9+cvs.2007.04.28-5.4) unstable; urgency=medium

  * Non-maintainer upload.

  [ Santiago Vila ]
  * Fix FTBFS when built with dpkg-buildpackage -A

 -- Anton Gladky <gladk@debian.org>  Fri, 12 Aug 2016 18:58:15 +0200

zipios++ (0.1.5.9+cvs.2007.04.28-5.3) unstable; urgency=low

  * Non-maintainer upload.
  * Bump debhelper compat from 4 to 9 (Closes: #817746).
  * Add build-{arch,indep} rules, fallback to build-stamp (Closes: #822040).

 -- W. Martin Borgert <debacle@debian.org>  Sat, 23 Jul 2016 18:09:45 +0000

zipios++ (0.1.5.9+cvs.2007.04.28-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Handle gcc5 transition by renaming library package to libzipios++0v5
    (Closes: #795212)
    - Thanks to Michael Terry for the report and the patch
  * Include dh-autoreconf to build properly on new architectures (Closes:
    #754833)
    - Thanks to Fernando Seiti Furusato for the report and the patch
  * Drop ancient conflicts/replaces that are no longer needed

 -- Scott Kitterman <scott@kitterman.com>  Sat, 22 Aug 2015 11:03:59 -0400

zipios++ (0.1.5.9+cvs.2007.04.28-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "zipios++: FTBFS: directory.h:85:12: error: 'ptrdiff_t' does not
    name a type": apply patch from Ubuntu / Julian Taylor:
    - debian/patches/03_ptrdiff.dpatch:
      include cstddef to fix build issue with gcc 4.6
    Closes: #625096
    LP: #832775

 -- gregor herrmann <gregoa@debian.org>  Sat, 08 Oct 2011 14:52:37 +0200

zipios++ (0.1.5.9+cvs.2007.04.28-5) unstable; urgency=low

  * Bumped to Standards-Version: 3.8.0.
  * Use DESTDIR instead of prefix for doc install, thanks Ben
    Hutchings - closes: #471338
  * Better handling of stream reading errors, thanks Fernando Diaz
    Alonso - closes: #395350

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Fri, 18 Jul 2008 00:44:54 +0900

zipios++ (0.1.5.9+cvs.2007.04.28-4) unstable; urgency=low

  * Added graphicsmagick-imagemagick-compat to Build-Depends.
    Thanks to Anibal Avelar - closes: #456349

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Wed, 02 Jan 2008 23:35:44 +0900

zipios++ (0.1.5.9+cvs.2007.04.28-3) unstable; urgency=low

  * Bumped to Standards-Version: 3.7.3.
  * Fixed various lintian warnings.
  * Now provides libzipios++-doc and manpages in libzipios++-dev 
    - closes: #288863

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sun, 09 Dec 2007 06:33:47 +0900

zipios++ (0.1.5.9+cvs.2007.04.28-2) unstable; urgency=low

  * Fix for amd64 in -1 was incomplete.  Now fixed.
  * src/zipinputstreambuf.cpp : Backported from the previous revision. 
  The changes made in the upstream breaks enigma's score reading - closes: #421498

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Mon, 30 Apr 2007 10:21:50 +0900

zipios++ (0.1.5.9+cvs.2007.04.28-1) unstable; urgency=low

  * New upstream release (CVS snapshot).
  * Acknowledged NMU - closes: #372679
  * libzipios++-dev now depends on libz-dev - closes: #358721
  * Fixed build issue for forthcoming GCC 4.3 - closes: #417788
  * Fixed FSF's address.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sat, 28 Apr 2007 02:11:43 +0900

zipios++ (0.1.5.9+cvs.2004.02.07-3.4) unstable; urgency=high

  * Non-maintainer upload.
  * Ship an empty zipios-config.h, since it isn't good to have stuff like
    HAVE_ macros or (more importantly) PACKAGE and VERSION leak into other
    package's namespaces. Instead, the few #ifdefs in the headers that 
    actually used these macros have been resolved manually in the source,
    as they are consistent across all Debian systems and not likely to change
    in the near future. (Closes: #363173)

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 11 Jun 2006 00:46:57 +0200

zipios++ (0.1.5.9+cvs.2004.02.07-3.3) unstable; urgency=high

  * Non-maintainer upload.
  * Rename to libzipios++0c2a for libstdc++ allocator change (Closes: #339280).

 -- Luk Claes <luk@debian.org>  Mon,  2 Jan 2006 19:26:45 +0100

zipios++ (0.1.5.9+cvs.2004.02.07-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build depend on libcppunit-dev. (Closes: #288819).

 -- Luk Claes <luk@debian.org>  Mon, 17 Oct 2005 17:56:52 +0200

zipios++ (0.1.5.9+cvs.2004.02.07-3.1) unstable; urgency=low

  * NMU
  * gcc4 transition, renamed libzipios++0c102 to libzipios++0,
    not waiting for cppunit to be transitioned, since the tests built
    with it are not shipped nor executed at build-time.
  * Fix crash in amd64, closes: #314602

 -- Isaac Clerencia <isaac@debian.org>  Mon, 18 Jul 2005 23:50:27 +0200

zipios++ (0.1.5.9+cvs.2004.02.07-3) unstable; urgency=low

  * Added missing zipios-config.h - closes: #232097

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Wed, 11 Feb 2004 08:59:21 +0900

zipios++ (0.1.5.9+cvs.2004.02.07-2) unstable; urgency=low

  * [control] changed Maintainer field.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sun,  8 Feb 2004 01:28:47 +0900

zipios++ (0.1.5.9+cvs.2004.02.07-1) unstable; urgency=low

  * New upstream release (CVS snapshot).
  * Bumped Standards-Version to 3.6.1.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sat,  7 Feb 2004 16:47:39 +0900

zipios++ (0.1.5+cvs.2003.03.18-1) unstable; urgency=low

  * New upstream release (CVS snapshot).
  * Added Build-Depends: automake1.7 - closes: #178638

 -- Masayuki Hatta <mhatta@debian.org>  Tue, 18 Mar 2003 10:51:25 +0900

zipios++ (0.1.5+cvs.2003.01.14-1) unstable; urgency=low

  * New upstream release (CVS snapshot).

