=== debian/control ===
Source: zipios++
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: automake | automaken, autotools-dev, dh-autoreconf, debhelper (>> 9), doxygen, graphicsmagick-imagemagick-compat | imagemagick, libcppunit-dev, libz-dev
Standards-Version: 3.9.8
Homepage: http://zipios.sourceforge.net/
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/zipios++.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/zipios++.git

Package: libzipios++-dev
Section: libdevel
Architecture: any
Depends: libzipios++0v5 (= ${binary:Version}), libz-dev, ${misc:Depends}
Description: small C++ library for reading zip files (development)
 Zipios++ is a java.util.zip-like C++ library for reading and writing Zip
 files. Access to individual entries is provided through standard C++
 iostreams. A simple read-only virtual file system that mounts regular
 directories and zip files is also provided.
 .
 This package contains files needed for development with zipios++.

Package: libzipios++0v5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libzipios++0c2a
Replaces: libzipios++0c2a
Description: small C++ library for reading zip files (library)
 Zipios++ is a java.util.zip-like C++ library for reading and writing Zip
 files. Access to individual entries is provided through standard C++
 iostreams. A simple read-only virtual file system that mounts regular
 directories and zip files is also provided.
 .
 This package contains shared library.

Package: libzipios++-doc
Section: doc
Architecture: all
Suggests: libzipios++-dev
Depends: ${misc:Depends}, libjs-jquery
Description: small C++ library for reading zip files (documents)
 Zipios++ is a java.util.zip-like C++ library for reading and writing Zip
 files. Access to individual entries is provided through standard C++
 iostreams. A simple read-only virtual file system that mounts regular
 directories and zip files is also provided.
 .
 This package contains documentations for development with zipios++.
