=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@ --with autotools-dev

override_dh_auto_build-indep:
	$(MAKE) doc

override_dh_auto_test:
	# not ready yet
