## zipios++ 0.1.7

=== debian/changelog ===
zipios++ (0.1.7-3) unstable; urgency=medium

  [ Tobias Frost ]
  * Team Upload.
  * Update S-V to 4.7.2:
    - replace http:// with https:// (e.g d/copyright Format field)
  * Switch to debhelper-compat.
  * Fix doc-base registration. 
  * Drop uneeded B-D on autotools-dev, dh-autoreconf.

  [ James Lu ]
  * Remove B-D: graphicsmagick-imagemagick-compat alternative.
    Closes: #1120164

 -- Tobias Frost <tobi@debian.org>  Sun, 14 Dec 2025 13:48:34 +0100

zipios++ (0.1.7-2) unstable; urgency=medium

  * Team upload.
  * Install backbuffer.h and zipios_common.h to the development package.

 -- Tobias Frost <tobi@debian.org>  Sat, 21 Dec 2024 17:42:08 +0100

zipios++ (0.1.7-1) unstable; urgency=medium

  * Team upload. 
  * New upstream release of the old API.
  * Remove patches applied upstream and refresh one. 
  * d/docs: s/README/README.md 
  * Fix superfluous call of getNextEntry() inside ZipFile::getInputStream,
    as this breaks zipios e.g for freecad 1.0 (Closes: #1089837)
  * Don't install broken manpages
  * Drop d/dirs. 
  * B-D on pkgconf instead of pkg-config. 
  * Point VCS-* to salsa.d.o. (Repository layout is now DEP-14)

 -- Tobias Frost <tobi@debian.org>  Sat, 21 Dec 2024 15:27:23 +0100

zipios++ (0.1.5.9+cvs.2007.04.28-11) unstable; urgency=high

  * New Maintainer (Closes: #834214)
  * fix CVE-2019-13453 (Closes: #932556)

 -- Francois Mazen <francois@mzf.fr>  Sat, 05 Oct 2019 13:57:39 +0200

zipios++ (0.1.5.9+cvs.2007.04.28-10) unstable; urgency=medium

  * QA upload.
  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Sun, 28 May 2017 19:20:05 +0000

zipios++ (0.1.5.9+cvs.2007.04.28-9) experimental; urgency=medium

  * QA upload.
  * *really* add pkg-config build-dependency... 

 -- Rene Engelhard <rene@debian.org>  Tue, 09 May 2017 07:29:01 +0200

zipios++ (0.1.5.9+cvs.2007.04.28-8) experimental; urgency=medium

  * QA upload.
  * add pkg-config build-dependency... 

 -- Rene Engelhard <rene@debian.org>  Tue, 09 May 2017 07:11:50 +0200

zipios++ (0.1.5.9+cvs.2007.04.28-7) experimental; urgency=medium

  * QA upload.
  * use pkg-config, not cppunit-config (closes: #862126) 
  * use --with autoreconf instead of --with autotools-dev to regen
    for above 

 -- Rene Engelhard <rene@debian.org>  Mon, 08 May 2017 22:29:06 +0000
