=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: zipios++
 Section: devel
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: automake | automaken, autotools-dev, dh-autoreconf, debhelper (>> 9), doxygen, graphicsmagick-imagemagick-compat | imagemagick, libcppunit-dev, libz-dev
-Standards-Version: 3.9.8
-Homepage: http://zipios.sourceforge.net/
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/zipios++.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/zipios++.git
+Maintainer: Francois Mazen <francois@mzf.fr>
+Build-Depends: automake | automaken, debhelper, debhelper-compat (= 13), doxygen, imagemagick, libcppunit-dev (>= 1.12), libz-dev, pkgconf
+Standards-Version: 4.7.2
+Homepage: https://zipios.sourceforge.net/
+Vcs-Browser: https://salsa.debian.org/debian/zipios
+Vcs-Git: https://salsa.debian.org/debian/zipios.git
 
 Package: libzipios++-dev
 Section: libdevel
