## zipios++ 2.3.2

=== debian/changelog ===
zipios++ (2.3.2-1) experimental; urgency=high

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libzipios++-doc: Add Multi-Arch: foreign.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Submit, Repository.

  [ Francois Mazen ]
  * New upstream version.
  * Update standards version to 4.6.2, no changes needed.
  * Fix FTBFS with recent jdupes (Closes: #1042829)

 -- Francois Mazen <mzf@debian.org>  Sat, 30 Dec 2023 09:34:38 +0100

zipios++ (2.2.6-1) experimental; urgency=high

  * Import new upstream release (Closes: #834171).
  * Rename packages:
     - libzipios++0v5 => libzipios2
     - libzipios++-dev => libzipios-dev
     - libzipios++-doc => libzipios-doc
  * Create libzipios++-doc transitional package
  * Add watch file
  * Add autopkgtest
  * Add upstream metadata
  * Bump standard version to 4.5.0
     - Rules-Requires-Root: no
  * Remove documentation duplicate files
  * Update debhelper compatibility to 13 and ignore uninstalled test binaries.
  * Move doxygen and graphviz dependency to Build-Depends-Indep
  * Remove doxygen jquery symlink (see /usr/share/doc/doxygen/README.jquery)
  * Drop unused libjs-jquery dependency.
  * Dev package suggests doc package
  * Do not build tools that are not part of any package
  * Fix indep build (from Tobias Frost)
  * Remove unneeded file d/dirs (from Tobias Frost)

 -- Francois Mazen <francois@mzf.fr>  Sat, 07 Mar 2020 15:08:28 +0100
