=== debian/control ===
Source: zipios++
Section: devel
Priority: optional
Maintainer: Francois Mazen <mzf@debian.org>
Build-Depends: cmake,
               catch,
               debhelper,
               debhelper-compat (= 13),
               jdupes,
               libz-dev,
               zip
Build-Depends-Indep: doxygen,
                     graphviz
Standards-Version: 4.6.2
Homepage: https://zipios.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/debian/zipios
Vcs-Git: https://salsa.debian.org/debian/zipios.git
Rules-Requires-Root: no

Package: libzipios-dev
Section: libdevel
Architecture: any
Depends: libzipios2 (= ${binary:Version}), libz-dev, ${misc:Depends}
Breaks: libzipios++-dev (<< 2.0.0)
Replaces: libzipios++-dev (<< 2.0.0)
Suggests: libzipios-doc
Description: small C++ library for reading zip files (development)
 Zipios++ is a java.util.zip-like C++ library for reading and writing Zip
 files. Access to individual entries is provided through standard C++
 iostreams. A simple read-only virtual file system that mounts regular
 directories and zip files is also provided.
 .
 This package contains files needed for development with zipios++.

Package: libzipios2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: small C++ library for reading zip files (library)
 Zipios++ is a java.util.zip-like C++ library for reading and writing Zip
 files. Access to individual entries is provided through standard C++
 iostreams. A simple read-only virtual file system that mounts regular
 directories and zip files is also provided.
 .
 This package contains shared library.

Package: libzipios-doc
Section: doc
Architecture: all
Suggests: libzipios-dev
Depends: ${misc:Depends}
Breaks: libzipios++-doc (<< 2.0.0)
Replaces: libzipios++-doc (<< 2.0.0)
Description: small C++ library for reading zip files (documents)
 Zipios++ is a java.util.zip-like C++ library for reading and writing Zip
 files. Access to individual entries is provided through standard C++
 iostreams. A simple read-only virtual file system that mounts regular
 directories and zip files is also provided.
 .
 This package contains documentations for development with zipios++.

Package: libzipios++-doc
Depends: libzipios-doc, ${misc:Depends}
Architecture: all
Section: oldlibs
Multi-Arch: foreign
Description: transitional package
 This is a transitional package. It can safely be removed.
