=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure-arch:
	dh_auto_configure -- -DRUN_TESTS=ON

override_dh_auto_build-indep:
	cd obj-$${DEB_HOST_GNU_TYPE} && $(MAKE) zipios_Documentation

override_dh_auto_install-indep:
	mkdir -p debian/tmp/usr/share/doc/zipios/html
	cp -r obj-$${DEB_HOST_GNU_TYPE}/doc/zipios-doc-*/* debian/tmp/usr/share/doc/zipios/html/

override_dh_installdocs-indep:
	dh_installdocs -i
	dh_doxygen

execute_after_dh_link-indep:
	dh_link
	jdupes -rl debian/libzipios-doc/usr/share/doc

override_dh_installchangelogs:
	dh_installchangelogs NEWS
