=== debian/tests/control ===
Tests: build-and-run
Depends: libzipios-dev, build-essential, zip
