=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/zipios++-$1\.tar\.gz/ \
  https://github.com/zipios/zipios/tags .*/v?(\d\S+)\.tar\.gz
